Patterns
The /patterns endpoint provides read-only access to data integration patterns. Patterns are reusable templates that define the structure and logic for generating executable process instances (e.g. Informatica mappings, DDL scripts).
See Also
- Authentication — Required for all API requests
- Data Integration Pattern — Web UI reference for patterns
- What is a pattern? — Introduction to patterns
- Pattern Definition — Administering pattern definitions
- Functional Roles API — Functional role definitions for patterns
- Instance Properties API — Instance property schemas for patterns
- Pattern Variables API — Pattern variable values
GET /api/v1/patterns — Find Patterns
Retrieve a list of patterns accessible to the authenticated user.
Endpoint
GET https://app.metakraftwerk.com/api/v1/patternsQuery Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
name | string | No | Filter by pattern name. |
Response Schema
Returns an array of pattern objects:
| Field | Type | Description |
|---|---|---|
id | integer | Unique pattern ID. |
name | string | Pattern name. |
description | string | Pattern description. |
type | string | Pattern type (e.g. IICS, SNOWFLAKE, SYNAPSE, FABRIC). |
vers_no | string | Version number. |
status | string | Pattern status (e.g. FINISHED). |
active | boolean | Whether the pattern is active. |
deleted | boolean | Whether the pattern is marked as deleted. |
disabled | boolean | Whether the pattern is disabled. |
release_group_id | integer | Associated release group ID. |
Examples
cURL
bash
# List all patterns
curl -X GET "https://app.metakraftwerk.com/api/v1/patterns" \
-H "Authorization: Bearer $ACCESS_TOKEN"
# Find by name
curl -X GET "https://app.metakraftwerk.com/api/v1/patterns?name=CORE_DV_HLS" \
-H "Authorization: Bearer $ACCESS_TOKEN"JavaScript (Fetch)
javascript
const response = await fetch(
'https://app.metakraftwerk.com/api/v1/patterns?name=CORE_DV_HLS',
{ headers: { 'Authorization': `Bearer ${accessToken}` } }
);
const patterns = await response.json();Response Example
json
[
{
"id": 808,
"name": "CORE_DV_HLS",
"description": "",
"type": "IICS",
"vers_no": "1.0",
"status": "FINISHED",
"active": false,
"deleted": false,
"disabled": false,
"release_group_id": 1
}
]Error Responses
| Status | Condition | Example Message |
|---|---|---|
401 | Missing or invalid token | Not authenticated |
GET /api/v1/patterns/:id — Get Pattern
Retrieve a single pattern by its ID.
Endpoint
GET https://app.metakraftwerk.com/api/v1/patterns/:idPath Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The pattern ID. |
Examples
cURL
bash
curl -X GET "https://app.metakraftwerk.com/api/v1/patterns/808" \
-H "Authorization: Bearer $ACCESS_TOKEN"JavaScript (Fetch)
javascript
const response = await fetch(
'https://app.metakraftwerk.com/api/v1/patterns/808',
{ headers: { 'Authorization': `Bearer ${accessToken}` } }
);
const pattern = await response.json();Error Responses
| Status | Condition | Example Message |
|---|---|---|
401 | Missing or invalid token | Not authenticated |
404 | Pattern not found | No record found for id 'X' |
POST /api/v1/patterns — Create
Not implemented
PUT /api/v1/patterns — Update
Not implemented
PATCH /api/v1/patterns/:id — Patch
Not implemented
DELETE /api/v1/patterns/:id — Remove
Not implemented